[Ubuntu 21.04] net/mlx5: Fix HW spec violation configuring uplink

Bug #1925452 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Skipper Bug Screeners
linux (Ubuntu)
High
Skipper Bug Screeners
Focal
Medium
Unassigned
Groovy
Medium
Unassigned
Hirsute
Medium
Skipper Bug Screeners

Bug Description

SRU Justification:
==================

[Impact]

* In addition to 9c9be85f6b59 "net/mlx5e: Add missing capability check for uplink follow" (handled in LP#1921104) another fix 1a73704c82ed "Fix HW spec violation configuring uplink" (handled in this bug, LP#1925452) is needed to fix issues that were introduced with commit 7d0314b11cdd "net/mlx5e: Modify uplink state on interface up/down".

* Commit 1a73704c82ed "Fix HW spec violation configuring uplink" fixes a regression for mlx5 adapters required to operate in switchdev mode.

* This fix makes sure that the uplink port is modified to follow only if the uplink_follow capability if it's set as required by the hw specification.

* Failure cause traffic to the uplink representer net device to cease after switching to switchdev mode.

[Fix]

* upstream fix (upstream with v5.12-rc7)
1a73704c82ed4ee95532ac04645d02075bd1ce3d 1a73704c82ed "Fix HW spec violation configuring uplink"

* can be cleanly cherry picked from hirsute master-next.

* a backport for groovy:
https://launchpadlibrarian.net/534888680/groovy-0001-net-mlx5-Fix-HW-spec-violation-configuring-uplink.patch

* a backport for focal:
https://launchpadlibrarian.net/534847308/focal-0001-net-mlx5-Fix-HW-spec-violation-configuring-uplink.patch

[Test Case]

* Two servers, installed with Ubuntu Server 20.04 or 20.10 are needed.

* Each server needs to have a Mellanox ConnectX4/5 adapter, attached to the same switch

* Adapters must be running adapter firmware level 16.29.1006 or earlier.

* enable SRIOV and switchdev mode on one adapter:
  echo 0 > /sys/bus/pci/devices/0100\:00\:00.0/sriov_drivers_autoprobe
  echo 0 > /sys/bus/pci/devices/0100\:00\:00.1/sriov_drivers_autoprobe
  echo 64 > /sys/bus/pci/devices/0100\:00\:00.0/sriov_numvfs
  echo 64 > /sys/bus/pci/devices/0100\:00\:00.1/sriov_numvfs
  devlink dev eswitch set pci/0100:00:00.0 mode switchdev
  devlink dev eswitch set pci/0100:00:00.1 mode switchdev

* Assign an IP address to the physical function device of the adapters on both systems

* IP communication will fail

* With the fix, IP communication can be established.

[Regression Potential]

* There is always at least some potential for regression. In this case the new code can go wrong (or might become worse than before) in case the new if statement is wrong.

* It checks for the condition of "MLX5_CAP_GEN(mdev, uplink_follow)" and in case MLX5_CAP_GEN is calculated erroneous or mdev is other than expected, the mlx5_modify_vport_admin_state call might go wrong, too.

* But since only the If clause was added, the changes are pretty minimal and therefore well traceable.

[Other]

* Since the patch/commit is upstream with 5.12-rc7, it will be in Impish.
__________

With the 5.4.0-48 update for Ubuntu 20.04, the commit

"net/mlx5e: Modify uplink state on interface up/down"

was integrated which contains a regression for mlx5 adapters with older adapter firmware.

This is the second bugfix to repair the regression, required to operate the adapter in switchdev mode.
The first part was integrated via Bug 192185 - LP1921104.

This is the upstream fix required to be backported to Ubuntu 20.04:
https://github.com/torvalds/linux/commit/1a73704c82ed4ee95532ac04645d02075bd1ce3d

---Additional Hardware Info---
Mellanox ConnectX network adapter

---uname output---
5.4.0-73-generic

---Steps to Reproduce---
 enable switchdev mode
try to ping external host

Backports need to be provide for 21.04, 20.10 and 20.04 (if not cleanly applyable)!

bugproxy (bugproxy)
tags: added: architecture-s3903164 bugnameltc-192501 severity-high targetmilestone-inin2104
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-04-22 05:16 EDT-------
More info will follow.

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-04-22 05:19 EDT-------
Fix already available with kernel 5.11.
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?h=linux-5.11.y&id=d2a6cda95cb037191963ca5481547bda46943625

Mean only 20.10 and 20.04 are needed...

tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2104
Revision history for this message
bugproxy (bugproxy) wrote : backport fix for focal

------- Comment (attachment only) From <email address hidden> 2021-04-22 05:25 EDT-------

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Revision history for this message
Frank Heimes (fheimes) wrote : Re: [Ubuntu 21.04]: net/mlx5: Fix HW spec violation configuring uplink (mandatory for 20.04)

The patch/commit mentioned in comment #2 in not yet in hirsute/5.11, but it looks like it's tagged as stable update. So I'll set the hirsute entry to In Progress.

Is there an intent to phase the patch in to 5.4 also via upstream stable updates?

Changed in linux (Ubuntu Hirsute):
importance: Undecided → High
status: New → In Progress
Revision history for this message
bugproxy (bugproxy) wrote : backport fix for groovy

------- Comment (attachment only) From <email address hidden> 2021-04-22 10:39 EDT-------

Revision history for this message
Alexander Schmidt (alexs-h) wrote : Re: [Ubuntu 21.04]: net/mlx5: Fix HW spec violation configuring uplink (mandatory for 20.04)

Hi Frank, I think the patch did not apply cleanly on 5.10 an earlier, so we need the backport here for groovy and focal.

Revision history for this message
Alexander Schmidt (alexs-h) wrote :

Eli Cohen from Mellanox/Nvidia had a look at the back ports and approved them:

Both patches look good to me. You can add

Reviewed-by: Eli Cohen <email address hidden>

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-04-26 08:55 EDT-------
SRU Justification:
==================

[Impact]

* In addition to 9c9be85f6b59 "net/mlx5e: Add missing capability check for uplink follow" (handled in LP#1921104) another fix 1a73704c82ed "Fix HW spec violation configuring uplink" (handled in this bug, LP#1925452) is needed to fix issues that were introducted with commit 7d0314b11cdd "net/mlx5e: Modify uplink state on interface up/down".

* Commit 1a73704c82ed "Fix HW spec violation configuring uplink" fixes a regression for mlx5 adapters required to operate in switchdev mode.

* This fix makes sure that the uplink port is modified to follow only if the uplink_follow
capability if it's set as required by the HW specification.

* Failure cause traffic to the uplink representor net device to cease after switching to switchdev mode.

[Fix]

* upstream fix (upstream with v5.12-rc7)
1a73704c82ed4ee95532ac04645d02075bd1ce3d 1a73704c82ed "Fix HW spec violation configuring uplink"

* can be cleanly cherry picked from hirsute master-next and grooy master-next.

* a backport for groovy:
https://launchpadlibrarian.net/534888680/groovy-0001-net-mlx5-Fix-HW-spec-violation-configuring-uplink.patch

* a backport for focal:
https://launchpadlibrarian.net/534847308/focal-0001-net-mlx5-Fix-HW-spec-violation-configuring-uplink.patch

[Test Case]

[Test Case]
* Two servers, installed with Ubuntu Server 20.04 or 20.10 are needed.
* Each server needs to have a Mellanox ConnectX4/5 adapter, attached to the same switch
* Adapters must be running adapter firmware level 16.29.1006 or earlier.
* enable SRIOV and switchdev mode on one adapter:
echo 0 > /sys/bus/pci/devices/0100\:00\:00.0/sriov_drivers_autoprobe echo 0 > /sys/bus/pci/devices/0100\:00\:00.1/sriov_drivers_autoprobe echo 64 > /sys/bus/pci/devices/0100\:00\:00.0/sriov_numvfs echo 64 > /sys/bus/pci/devices/0100\:00\:00.1/sriov_numvfs devlink dev eswitch set pci/0100:00:00.0 mode switchdev devlink dev eswitch set pci/0100:00:00.1 mode switchdev
* Assign an IP address to the physical function device of the adapters on both systems
* IP communication will fail
* With the fix, IP communication can be stablished

[Regression Potential]

* There is always at least some potential for regression. In this case the new code can go wrong (or might become worse than before) in case the new if statement is wrong.

* It checks for the condition of "MLX5_CAP_GEN(mdev, uplink_follow)" and in case MLX5_CAP_GEN is calculated errornous or mdev is other than expected, the mlx5_modify_vport_admin_state call might go wrong, too.

* But since only the If clause was added, the changes are pretty minimal and therefore well traceable.

Frank Heimes (fheimes)
description: updated
description: updated
Frank Heimes (fheimes)
summary: - [Ubuntu 21.04]: net/mlx5: Fix HW spec violation configuring uplink
- (mandatory for 20.04)
+ [Ubuntu 21.04] net/mlx5: Fix HW spec violation configuring uplink
description: updated
Revision history for this message
Frank Heimes (fheimes) wrote :

Patched test kernels for H, G and F are current built at:
https://launchpad.net/~fheimes/+archive/ubuntu/lp1925452/+packages

Revision history for this message
Frank Heimes (fheimes) wrote :

Kernel SRU request submitted for hirsute, groovy and focal:
https://lists.ubuntu.com/archives/kernel-team/2021-April/thread.html#119562
changing status to 'In Progress'.

Frank Heimes (fheimes)
Changed in linux (Ubuntu Groovy):
status: New → In Progress
Changed in linux (Ubuntu Focal):
status: New → In Progress
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-04-27 04:52 EDT-------
Verified successfully on focal, ping works fine in switchdev mode.

root@pok1-qz1-sr1-rk011-s21:~# uname -a
Linux pok1-qz1-sr1-rk011-s21 5.4.0-73-generic #82~lp1925452-Ubuntu SMP Mon Apr 26 15:44:18 UTC 2021 s390x s390x s390x GNU/Linux

root@pok1-qz1-sr1-rk011-s21:~# devlink dev eswitch show pci/0100:00:00.1
pci/0100:00:00.1: mode switchdev inline-mode none encap enable

root@pok1-qz1-sr1-rk011-s21:~# ping -c 5 172.31.22.42
PING 172.31.22.42 (172.31.22.42) 56(84) bytes of data.
64 bytes from 172.31.22.42: icmp_seq=1 ttl=0 time=0.085 ms
64 bytes from 172.31.22.42: icmp_seq=2 ttl=0 time=0.071 ms
64 bytes from 172.31.22.42: icmp_seq=3 ttl=0 time=0.066 ms
64 bytes from 172.31.22.42: icmp_seq=4 ttl=0 time=0.078 ms
64 bytes from 172.31.22.42: icmp_seq=5 ttl=0 time=0.078 ms

--- 172.31.22.42 ping statistics ---
5 packets transmitted, 5 received, 0% packet loss, time 4134ms
rtt min/avg/max/mdev = 0.066/0.075/0.085/0.006 ms

Revision history for this message
Frank Heimes (fheimes) wrote :

Great - thx Alexander.

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-04-27 07:51 EDT-------
Also verified on the groovy build

root@pok1-qz1-sr1-rk011-s21:~# uname -a
Linux pok1-qz1-sr1-rk011-s21 5.8.0-51-generic #57~lp1925452-Ubuntu SMP Mon Apr 26 15:27:41 UTC 2021 s390x s390x s390x GNU/Linux

root@pok1-qz1-sr1-rk011-s21:~# ping -c 5 172.31.22.42
PING 172.31.22.42 (172.31.22.42) 56(84) bytes of data.
64 bytes from 172.31.22.42: icmp_seq=2 ttl=0 time=0.117 ms
64 bytes from 172.31.22.42: icmp_seq=3 ttl=0 time=0.080 ms
64 bytes from 172.31.22.42: icmp_seq=4 ttl=0 time=0.066 ms

Revision history for this message
Stefan Bader (smb) wrote :

for hirsute this patch was applied as part of 5.11.14 stable (bug #1926368).

Changed in linux (Ubuntu Hirsute):
status: In Progress → Fix Committed
importance: High → Medium
Changed in linux (Ubuntu Groovy):
importance: Undecided → Medium
Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: In Progress → Invalid
Changed in linux (Ubuntu Groovy):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-groovy' to 'verification-done-groovy'. If the problem still exists, change the tag 'verification-needed-groovy' to 'verification-failed-groovy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-groovy
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-05-17 10:30 EDT-------
Verified successfully on 5.4.0-74, with adapter in eswitch mode and adapter firmware 16.27.2008. Thank you!

alexschm@pok1-qz1-sr1-rk011-s21:~$ uname -a
Linux pok1-qz1-sr1-rk011-s21 5.4.0-74-generic #83 SMP Mon May 17 09:04:32 EDT 2021 s390x s390x s390x GNU/Linux
alexschm@pok1-qz1-sr1-rk011-s21:~$ ping 172.31.22.170
PING 172.31.22.170 (172.31.22.170) 56(84) bytes of data.
64 bytes from 172.31.22.170: icmp_seq=1 ttl=0 time=0.217 ms
64 bytes from 172.31.22.170: icmp_seq=2 ttl=0 time=0.162 ms
64 bytes from 172.31.22.170: icmp_seq=3 ttl=0 time=0.191 ms
^C
--- 172.31.22.170 ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2052ms
rtt min/avg/max/mdev = 0.162/0.190/0.217/0.022 ms

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-05-18 04:19 EDT-------
Verified also on groovy and hirsuite..

Revision history for this message
Frank Heimes (fheimes) wrote :

Thx for the verification(s) - adjusting tags accordingly ...

tags: added: verification-done-focal verification-done-groovy
removed: verification-needed-focal verification-needed-groovy
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (30.2 KiB)

This bug was fixed in the package linux - 5.4.0-74.83

---------------
linux (5.4.0-74.83) focal; urgency=medium

  * focal/linux: 5.4.0-74.83 -proposed tracker (LP: #1927619)

  * Introduce the 465 driver series, fabric-manager, and libnvidia-nscq
    (LP: #1925522)
    - debian/dkms-versions -- add NVIDIA 465 and migrate 450 to 460

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: fix incorrect mnt_id of files opened from map_files

  * Enable CIFS GCM256 (LP: #1921916)
    - smb3: add defines for new crypto algorithms
    - smb3.1.1: add new module load parm require_gcm_256
    - smb3.1.1: add new module load parm enable_gcm_256
    - smb3.1.1: print warning if server does not support requested encryption type
    - smb3.1.1: rename nonces used for GCM and CCM encryption
    - smb3.1.1: set gcm256 when requested
    - cifs: Adjust key sizes and key generation routines for AES256 encryption

  * locking/qrwlock: Fix ordering in queued_write_lock_slowpath() (LP: #1926184)
    - locking/qrwlock: Fix ordering in queued_write_lock_slowpath()

  * [Ubuntu 21.04] net/mlx5: Fix HW spec violation configuring uplink
    (LP: #1925452)
    - net/mlx5: Fix HW spec violation configuring uplink

  * Focal update: v5.4.114 upstream stable release (LP: #1926493)
    - Revert "scsi: qla2xxx: Retry PLOGI on FC-NVMe PRLI failure"
    - Revert "scsi: qla2xxx: Fix stuck login session using prli_pend_timer"
    - scsi: qla2xxx: Dual FCP-NVMe target port support
    - scsi: qla2xxx: Fix device connect issues in P2P configuration
    - scsi: qla2xxx: Retry PLOGI on FC-NVMe PRLI failure
    - scsi: qla2xxx: Add a shadow variable to hold disc_state history of fcport
    - scsi: qla2xxx: Fix stuck login session using prli_pend_timer
    - scsi: qla2xxx: Fix fabric scan hang
    - net/sctp: fix race condition in sctp_destroy_sock
    - Input: nspire-keypad - enable interrupts only when opened
    - gpio: sysfs: Obey valid_mask
    - dmaengine: dw: Make it dependent to HAS_IOMEM
    - ARM: dts: Drop duplicate sha2md5_fck to fix clk_disable race
    - ARM: dts: Fix moving mmc devices with aliases for omap4 & 5
    - lockdep: Add a missing initialization hint to the "INFO: Trying to register
      non-static key" message
    - arc: kernel: Return -EFAULT if copy_to_user() fails
    - ASoC: max98373: Added 30ms turn on/off time delay
    - neighbour: Disregard DEAD dst in neigh_update
    - ARM: keystone: fix integer overflow warning
    - ARM: omap1: fix building with clang IAS
    - drm/msm: Fix a5xx/a6xx timestamps
    - ASoC: fsl_esai: Fix TDM slot setup for I2S mode
    - scsi: scsi_transport_srp: Don't block target in SRP_PORT_LOST state
    - net: ieee802154: stop dump llsec keys for monitors
    - net: ieee802154: forbid monitor for add llsec key
    - net: ieee802154: forbid monitor for del llsec key
    - net: ieee802154: stop dump llsec devs for monitors
    - net: ieee802154: forbid monitor for add llsec dev
    - net: ieee802154: forbid monitor for del llsec dev
    - net: ieee802154: stop dump llsec devkeys for monitors
    - net: ieee802154: forbid monitor for add llsec devkey
    - net: ieee8021...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (51.1 KiB)

This bug was fixed in the package linux - 5.8.0-55.62

---------------
linux (5.8.0-55.62) groovy; urgency=medium

  * groovy/linux: 5.8.0-55.62 -proposed tracker (LP: #1930379)

  * [Potential Regression] Unable to create KVM with uvtool on Groovy ARM64
    (LP: #1929925)
    - SAUCE: KVM: arm64: Assign kvm_ipa_limit

linux (5.8.0-54.61) groovy; urgency=medium

  * groovy/linux: 5.8.0-54.61 -proposed tracker (LP: #1927592)

  * Introduce the 465 driver series, fabric-manager, and libnvidia-nscq
    (LP: #1925522)
    - debian/dkms-versions -- add NVIDIA 465 and migrate 450 to 460

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: fix incorrect mnt_id of files opened from map_files

  * netfilter: x_tables: fix compat match/target pad out-of-bound write
    (LP: #1927682)
    - netfilter: x_tables: fix compat match/target pad out-of-bound write

  * Groovy update: upstream stable patchset 2021-05-04 (LP: #1927150)
    - mt76: fix tx skb error handling in mt76_dma_tx_queue_skb
    - net: fec: ptp: avoid register access when ipg clock is disabled
    - powerpc/4xx: Fix build errors from mfdcr()
    - atm: eni: dont release is never initialized
    - atm: lanai: dont run lanai_dev_close if not open
    - Revert "r8152: adjust the settings about MAC clock speed down for RTL8153"
    - ALSA: hda: ignore invalid NHLT table
    - ixgbe: Fix memleak in ixgbe_configure_clsu32
    - scsi: ufs: ufs-qcom: Disable interrupt in reset path
    - blk-cgroup: Fix the recursive blkg rwstat
    - net: tehuti: fix error return code in bdx_probe()
    - net: intel: iavf: fix error return code of iavf_init_get_resources()
    - sun/niu: fix wrong RXMAC_BC_FRM_CNT_COUNT count
    - cifs: ask for more credit on async read/write code paths
    - gfs2: fix use-after-free in trans_drain
    - cpufreq: blacklist Arm Vexpress platforms in cpufreq-dt-platdev
    - gpiolib: acpi: Add missing IRQF_ONESHOT
    - nfs: fix PNFS_FLEXFILE_LAYOUT Kconfig default
    - NFS: Correct size calculation for create reply length
    - net: hisilicon: hns: fix error return code of hns_nic_clear_all_rx_fetch()
    - net: wan: fix error return code of uhdlc_init()
    - net: davicom: Use platform_get_irq_optional()
    - net: enetc: set MAC RX FIFO to recommended value
    - atm: uPD98402: fix incorrect allocation
    - atm: idt77252: fix null-ptr-dereference
    - cifs: change noisy error message to FYI
    - irqchip/ingenic: Add support for the JZ4760
    - kbuild: add image_name to no-sync-config-targets
    - kbuild: dummy-tools: fix inverted tests for gcc
    - umem: fix error return code in mm_pci_probe()
    - sparc64: Fix opcode filtering in handling of no fault loads
    - habanalabs: Call put_pid() when releasing control device
    - staging: rtl8192e: fix kconfig dependency on CRYPTO
    - u64_stats,lockdep: Fix u64_stats_init() vs lockdep
    - regulator: qcom-rpmh: Correct the pmic5_hfsmps515 buck
    - block: Fix REQ_OP_ZONE_RESET_ALL handling
    - drm/amd/display: Revert dram_clock_change_latency for DCN2.1
    - drm/amdgpu: fb BO should be ttm_bo_type_device
    - drm/radeon: fix AGP dependency
    - nvme: add NVM...

Changed in linux (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Frank Heimes (fheimes) wrote :

I just checked the situation for this on hirsute.
The patch is already included in hirsute (master):
da7897c5355f net/mlx5: Fix HW spec violation configuring uplink
It was added as part of:
LP#1926368 "Hirsute update: v5.11.14 upstream stable release"
Hence updating the hirsute entry to Fix Released and with that the entire bug.

Changed in linux (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-07-14 20:44 EDT-------
IBM bugzilla status->closed, Fix Released for all requested distros

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers